package yangtz.cs.liu.dingding.mapper.schoolTeacher;

import org.apache.ibatis.annotations.Param;
import yangtz.cs.liu.dingding.domain.schoolTeacher.SysDdTeacher;

import java.util.List;

public interface DdTeacherMapper {

    /**
     * 批量新增教师
     */
    int batchInsertTeacher(@Param("list") List<SysDdTeacher> list);

    /**
     * 新增教师
     */
    int addTeacherList(SysDdTeacher sysDdTeacher);

    /**
     * 更新教师信息
     */
    int updateDdTeacher(SysDdTeacher sysDdTeacher);

}
